Subject: Re: [PATCH] cherry-pick: add --allow-empty-message option

From: Chris Webb <[email-masked]>
Date: Mon, 6 Aug 2012 12:00:16 +0100

Neil Horman <[email-masked]> writes:

> Having read over this thread, I think this is definately the way to go.  As
> discussed having cherry-pick stop and give the user a chance to fix empty
> history messages by default, and providing a switch to override that behavior
> makes sense to me.  That said, shouldn't there be extra code here in the rebase
> scripts to automate commit migration in that path as well?

Yes, this patch just adds the support to the low-level git cherry-pick as
you say. I'll follow up with a patch to use the new feature in rebase [-i]
when I get some free time, hopefully later this week.

Cheers,

Chris.